//
// Created by #Suyghur, on 2021/06/21.
//

#ifndef EYUANCOMMSDK_KTX_COMM_MAP_H
#define EYUANCOMMSDK_KTX_COMM_MAP_H


#include <jni.h>
#include "third_part/json/json.h"

#ifdef __cplusplus
extern "C" {
#endif

class CommMap {
public:
    static CommMap *GetInstance();

    void Init(JNIEnv *env, jobject context);

    Json::Value comm_params;

private:
    CommMap();

    ~CommMap();
};

#ifdef __cplusplus
}
#endif

#endif //EYUANCOMMSDK_KTX_COMM_MAP_H
